View Issue Details

IDProjectCategoryView StatusLast Update
0005425GNUnetutil librarypublic2019-02-28 11:17
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005425: test_os_start_process fails with guix build
DescriptionLooks like it's a problem with the hardcoded resolv.conf path, and the free() error looks odd.
Steps To Reproduceguix build -K -f guix-env.scm gnunet
Additional InformationFAIL: test_os_start_process
===========================

Aug 15 18:00:29-767803 util-disk-80644 WARNING `open' failed on file `/etc/resolv.conf' at disk.c:1718 with error: No such file or directory
Aug 15 18:00:29-767840 resolver-80644 ERROR Could not open /etc/resolv.conf. DNS resolution will not be possible.
Aug 15 18:00:29-767848 resolver-80644 ERROR No DNS server available. DNS resolution will not be possible.
free(): invalid pointer
FAIL test_os_start_process (exit status: 141)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-08-15 20:04 Florian Dold New Issue
2018-08-15 20:04 Florian Dold Status new => assigned
2018-08-15 20:04 Florian Dold Assigned To => Christian Grothoff
2018-08-16 13:12 Christian Grothoff Status assigned => resolved
2018-08-16 13:12 Christian Grothoff Resolution open => fixed
2018-08-16 13:12 Christian Grothoff Fixed in Version => 0.11.0
2018-08-16 13:12 Christian Grothoff Product Version => SVN HEAD
2018-08-16 13:12 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed